/metric

Execute metrics

get the result of the defined metrics

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Query Parameters

NameTypeRequiredDescription
idintegerYesThe id of the entity defined in list_type
list_typestringYesThe list_type (e.g. customer)
metric[]stringYesMetric to be executed, can be multiple
fromintegerNoFrom unix timestamp
untilintegerNoUntil unix timestamp
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/metric?id=123&list_type=string&metric%5B%5D=string&from=1&until=1' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token'

Responses

200OK
metric.generateResponseapplication/json
Example
{
  "additionalProperty": {...}
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}